# This file contains list of files to copy, link, remove and create
# Variables:
#   src_root:        source root
#   gpmi_install_*:  installation paths



# Copy these files
copy_files="
$src_root/gpmi/libgpmi.so>$gpmi_install_path_lib/libgpmi.so.0.9.1
$src_root/gpmi/libgpmi.a>$gpmi_install_path_lib/libgpmi.a
$src_root/gpmi/libgpmi.dll.a>$gpmi_install_path_lib/libgpmi.dll.a
$src_root/gpmi/libgpmi.dll>$gpmi_install_path_bin/libgpmi.dll
$src_root/gpmi.h>$gpmi_install_path_include/gpmi.h
$src_root/gpmi_config.h>$gpmi_install_path_include/gpmi_config.h
$src_root/gpmi/debug.h>$gpmi_install_path_include_gpmi/debug.h
$src_root/gpmi/error.h>$gpmi_install_path_include_gpmi/error.h
$src_root/gpmi/events.h>$gpmi_install_path_include_gpmi/events.h
$src_root/gpmi/global.h>$gpmi_install_path_include_gpmi/global.h
$src_root/gpmi/os_dep.h>$gpmi_install_path_include_gpmi/os_dep.h
$src_root/gpmi/packages.h>$gpmi_install_path_include_gpmi/packages.h
$src_root/gpmi/paths.h>$gpmi_install_path_include_gpmi/paths.h
$src_root/gpmi/threads.h>$gpmi_install_path_include_gpmi/threads.h
$src_root/gpmi/keyword_hash.h>$gpmi_install_path_include_gpmi/keyword_hash.h
$src_root/gpmi/keywords.h>$gpmi_install_path_include_gpmi/keywords.h
$src_root/gpmi/libs.h>$gpmi_install_path_include_gpmi/libs.h
$src_root/gpmi/libs-package.h>$gpmi_install_path_include_gpmi/libs-package.h
$src_root/gpmi/libs-module.h>$gpmi_install_path_include_gpmi/libs-module.h
$src_root/gpmi/pkgs-static.h>$gpmi_install_path_include_gpmi/pkgs-static.h
$src_root/gpmi/mods-static.h>$gpmi_install_path_include_gpmi/mods-static.h
$src_root/gpmi/modules.h>$gpmi_install_path_include_gpmi/modules.h
$src_root/gpmi/hash/hash.h>$gpmi_install_path_include_gpmi/hash/hash.h
$src_root/gpmi/hash/hash_cursor.h>$gpmi_install_path_include_gpmi/hash/hash_cursor.h
$src_root/wrapgen/wrapgen$with_sys_libext_exe>$gpmi_install_path_bin/wrapgen$with_sys_libext_exe
$src_root/wrapgen/listgen$with_sys_libext_exe>$gpmi_install_path_bin/listgen$with_sys_libext_exe
$src_root/wrapgen/host.wrapgen$with_sys_libext_exe>$gpmi_install_path_bin/host.wrapgen$with_sys_libext_exe
$src_root/wrapgen/host.listgen$with_sys_libext_exe>$gpmi_install_path_bin/host.listgen$with_sys_libext_exe
$src_root/Makefile.config>$gpmi_install_path_lib_gpmi/Makefile.config
$src_root/Makefile.rules>$gpmi_install_path_lib_gpmi/Makefile.rules
$src_root/config/gpmi-config>$gpmi_install_path_bin/gpmi-config
$src_root/config/Install-fstools.sh>$gpmi_install_path_lib_gpmi/Install-fstools.sh
$src_root/config/data/Makefile.ext-pkg>$gpmi_install_path_lib_gpmi/Makefile.ext-pkg
$src_root/config/data/Makefile.ext-mod>$gpmi_install_path_lib_gpmi/Makefile.ext-mod
$src_root/config/data/main.c.ext-mod>$gpmi_install_path_lib_gpmi/main.c.ext-mod
$src_root/config/data/Makefile.am.ext-pkg>$gpmi_install_path_lib_gpmi/Makefile.am.ext-pkg
$src_root/config/data/Makefile.am.ext-mod>$gpmi_install_path_lib_gpmi/Makefile.am.ext-mod
$src_root/config/data/Master.package.c>$gpmi_install_path_lib_gpmi/Master.package.c
$src_root/config/data/Master.package.list>$gpmi_install_path_lib_gpmi/Master.package.list
$src_root/config/data/Install.sh-ext-pkg>$gpmi_install_path_lib_gpmi/Install.sh-ext-pkg
$src_root/config/data/Makefile.ext-pkg-grp>$gpmi_install_path_lib_gpmi/Makefile.ext-pkg-grp
$src_root/config/data/configure.ext-pkg-grp>$gpmi_install_path_lib_gpmi/configure.ext-pkg-grp
$src_root/config/data/Makefile.SA.ext-pkg-grp>$gpmi_install_path_lib_gpmi/Makefile.SA.ext-pkg-grp
$src_root/config/data/Makefile.gpmi-app>$gpmi_install_path_lib_gpmi/Makefile.gpmi-app
$src_root/config/data/Makefile.gpmi.am-app>$gpmi_install_path_lib_gpmi/Makefile.gpmi.am-app
$src_root/doc/bugreporting.txt>$gpmi_install_path_doc/bugreporting.txt
$src_root/doc/contact.txt>$gpmi_install_path_doc/contact.txt
$src_root/doc/roadmap.txt>$gpmi_install_path_doc/roadmap.txt
$src_root/doc/Readme>$gpmi_install_path_doc/Readme
$src_root/doc/Credits>$gpmi_install_path_doc/Credits
$src_root/doc/LGPL-2>$gpmi_install_path_doc/LGPL-2
$src_root/COPYING>$gpmi_install_path_doc/copyright
$src_root/doc/man/gpmi-config.1>$gpmi_install_path_man/man1
$src_root/doc/man/wrapgen.1>$gpmi_install_path_man/man1
";

# link these ones
link_files="
$gpmi_install_path_man/man1/wrapgen.1>$gpmi_install_path_man/man1/listgen.1
$gpmi_install_path_lib/libgpmi.so.0.9.1>$gpmi_install_path_lib/libgpmi.so.0
";

# when uninstall, remove these
del_files="
	$gpmi_install_path_lib/libgpmi.so.0.9.1
	$gpmi_install_path_lib/libgpmi.so.0
	$gpmi_install_path_include/gpmi.h
	$gpmi_install_path_include/gpmi
	$gpmi_install_path_include/gpmi_pkg
	$gpmi_install_path_include/gpmi_config.h
	$gpmi_install_path_lib/libgpmi.a
	$gpmi_install_path_lib/libgpmi.dll.a
	$gpmi_install_path_lib_gpmi
	$gpmi_install_path_bin/libgpmi.dll
	$gpmi_install_path_bin/gpmi-config
	$gpmi_install_path_bin/wrapgen$with_sys_libext_exe
	$gpmi_install_path_bin/listgen$with_sys_libext_exe
	$gpmi_install_path_bin/host.wrapgen$with_sys_libext_exe
	$gpmi_install_path_bin/host.listgen$with_sys_libext_exe
	$gpmi_install_path_doc
	$gpmi_install_path_man/man1/gpmi-config.1
	$gpmi_install_path_man/man1/wrapgen.1
	$gpmi_install_path_man/man1/listgen.1
";

#	$install_root/../doc/libgpmi
# before installing, create these dirs
mkdir_files="
	$gpmi_install_path_include
	$gpmi_install_path_include/gpmi
	$gpmi_install_path_include_gpmi/hash
	$gpmi_install_path_pkg_include
	$gpmi_install_path_lib
	$gpmi_install_path_bin
	$gpmi_install_path_lib_gpmi
	$gpmi_install_path_pkg_lib
	$gpmi_install_path_mod_lib
	$gpmi_install_path_doc
	$gpmi_install_path_man/man1
";

#copy these core packages
copy_packages="
	example
	gpmi_scripts
	hash
	keywords
	bgproc
	timer
	filter
	qparse
";
