/*
    libgpmi - General Package/Module Interface
    Copyright (C) 2005-2007 Patric 'TrueLight' Stout & Tibor 'Igor2' Palinkas
  
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
  
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
  
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef GPMI_MODS_STATIC_H
#define GPMI_MODS_STATIC_H

#include <gpmi/hash/hash.h>
#include <gpmi/libs.h>

int gpmi_load_static_module(gpmi_module *module, const char *library_name);
void gpmi_reg_static_module(const char *library_name, void *reg);
void gpmi_unreg_static_module(const char *library_name);

#endif /* GPMI_MODS_STATIC_H */
