{This is an example how to use ghli with gpmi.}

var TTL_expected, year_expected, freq_expected, param_expected: integer;

procedure RunData(data:string);
begin
	writeln('main:RunData ', data, ' == 0x1234');
end;

procedure ev_cycle(timer_data:integer);
var TTL, freq, user_data: string;
begin
	TTL:=TimerInfo(timer_data, 'TTL');
	freq:=TimerInfo(timer_data, 'freq');
	user_data:=TimerInfo(timer_data, 'user_data');

	writeln('main:ev_cycle ( ', TTL, ' == ', TTL_expected, ' )  ( ', freq, ' == ', freq_expected, ' ) ( ', user_data ,' == data1 ) (runs 4 times)');
	TTL_expected := TTL_expected - 1;
end;

procedure ev_every_second(timer_data:integer);
var TTL, freq, user_data: string;
begin
	TTL:=TimerInfo(timer_data, 'TTL');
	freq:=TimerInfo(timer_data, 'freq');
	user_data:=TimerInfo(timer_data, 'user_data');

	writeln('main:ev_every_second ( ', TTL, ' == ', TTL_expected, ' )  ( ', freq, ' == ', freq_expected, ' ) ( ', user_data ,' == data2 ) (runs 3 times)');
	TTL_expected := TTL_expected - 1;
end;

procedure ev_nothing(id:integer; year:integer; param:integer);
begin
	writeln('main:ev_nothing: year: ( ', year, ' == ', year_expected, ' ) param: ( ', param, ' == ', param_expected, ' )');
end;


begin
	writeln('main:Running init part.');

	// Check timers
	TTL_expected  := 4;
	freq_expected := 0;
	AddTimer(4, 0, 'ev_cycle', 'data1');

	TTL_expected  := 3;
	freq_expected := 2;
	AddTimer(3, 2, 'ev_every_second', 'data2');

	// Check package loading
	PkgLoad('example', 0);
	writeln('main:main1 ', Example_int(10), ' == 1244 when works');

	// Check events
	year_expected  := 2005;
	param_expected := 155;
	Bind('Example_nothing', 'ev_nothing');
	Example_do_nothing(155);

	// Check FakeEvent
	year_expected  := 3000;
	param_expected := 20;
	FakeEvent('Example_nothing', '3000 20');

	writeln('main:main2 Finished init part.');
end.
