#ifndef GPMI_CONFIG_H
#define GPMI_CONFIG_H

/* Prefix to use in printf before %p to have the same output everywhere */
#define STD_PRINTFP ###std_printfp###

/* Cast from pointer to int (if longest pointer is not longer than the longest int)*/
#define STD_PRINTFP_CAST (###std_printfp_cast###)

/* define this if the system has snprintf & vsnprintf */
###std_snprintf####define STD_HAVE_SNPRINTFP

/* define this if your c compiler doesn't support vararg macros*/
###std_varargmacro### NO_VARARG_MACRO

/* Uncomment this line if your compiler does not support inline functions */
###std_inline### inline

/* Uncomment this line if your compiler does not support the __FUNCTION__ macro */
###std_function### __FUNCTION__ "[Unknown]"

/* This macro is added after the parameter list of a function to make it run before main() */
#define GPMI_CONSTRUCTOR ###std_constructor###

/* This macro is added after the parameter list of a function to make it run after main() */
#define GPMI_DESTRUCTOR ###std_destructor###

#endif