# This lib detects the proper format string for printf to put "0x1234"
# for (void *)0x1234

. lib/compile.lib

function detect_printf {
	q=`echo '
#include <stdlib.h>
#include <stdio.h>
int main() {
	printf("'$1'/'$1'", (size_t)0x1234, NULL);
	puts("");
	return 0;
}
	'  | test_compile`

	echo "[detect_print] Trying %p with $1, $CFLAGS, $LDFLAGS ->$q" >> $LOG

	if test "$q" = "0x1234/0x0"
	then
		echo "\"$1\""
		exit 0
	fi
}

detect_printf "%x"
detect_printf "0x%x"

exit 1


