/*
    libgpmi - General Package/Module Interface
    Copyright (C) 2005-2007 Patric 'TrueLight' Stout & Tibor 'Igor2' Palinkas
  
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
  
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
  
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/**
 * @file keyword_hash.h
 * \brief Helper to hash keywords.
 *
 * Helper that hashes keywords and help to find them back.
 */

#ifndef GPMI_KEYWORD_HASH_H
#define GPMI_KEYWORD_HASH_H

unsigned int gpmi_hash_int_static(int cmd, void *data1, void *data2, char **result_pointer);
unsigned int gpmi_hash_int_dynamic(int cmd, void *data1, void *data2, char **result_pointer);
unsigned int gpmi_hash_str_dynamic(int cmd, void *data1, void *data2, char **result_pointer);
unsigned int gpmi_hash_ptr(int cmd, void *data1, void *data2, char **result_pointer);
unsigned int gpmi_hash_int_rev(int cmd, void *data1, void *data2, char **result_pointer);
unsigned int gpmi_hash_ptr_rev(int cmd, void *data1, void *data2, char **result_pointer);

#endif /* GPMI_KEYWORD_HASH_H */
